const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const newsletter_subscribers = sequelize.define(
    'newsletter_subscribers',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

email: {
        type: DataTypes.TEXT,
      
      

      },

status: {
        type: DataTypes.ENUM,
      
      

        values: [

"subscribed",


"unsubscribed",


"bounced"

        ],

      },

subscribed_at: {
        type: DataTypes.DATE,
      
      

      },

unsubscribed_at: {
        type: DataTypes.DATE,
      
      

      },

source: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  newsletter_subscribers.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity










































//end loop






    db.newsletter_subscribers.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.newsletter_subscribers.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return newsletter_subscribers;
};


